Subject: Ticket Assigned - Delivery
From: Home Centre UAE <[email-masked]>
To: [email-masked]
Date: Sun, 28 Nov 2021 13:29:04 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have done an online order which is going to be delivered on 27 November 2021. I need to change the delivery date to be earlier. I am fine with any day before 26 November 2021.

I have contacted the call center three time and no one is welling to help in that regards. I feel that the customer service i am getting from home center is very poor compared to the brand name.

My request is very sample and can be managed easily while i am not finding any support from the customer service. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3421934